X
Tap here to go to the mobile version of the site.

Support Forum

Can't download app, when I try i get manifest_url_error.

Posted

Hello, I am wondering how to deal with this error (manifest_url_error). I have a mac and also am running firefox os simulator 1. I cannot download this specific app (Zirma) from the marketplace, although I get the error on lots of other ones. Thanks much for any help! See screenshot. Screenshot is not working right now so I will try later.

Thanks!!

Jon

Hello, I am wondering how to deal with this error (manifest_url_error). I have a mac and also am running firefox os simulator 1. I cannot download this specific app (Zirma) from the marketplace, although I get the error on lots of other ones. Thanks much for any help! See screenshot. Screenshot is not working right now so I will try later. Thanks!! Jon

Chosen solution

Hi Jon Gregory,

Go into Tools > Web Developer > WebIDE and then select the "runtime environment" to download or run a specific version of Firefox OS simulator.

I hope this helps. Please let us know if you have any other questions about your Firefox OS device.

Thanks,

- Ralph

Read this answer in context 0

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:37.0) Gecko/20100101 Firefox/37.0

More Information

Question owner

Jon said

Hello, I am wondering how to deal with this error (manifest_url_error). I have a mac and also am running firefox os simulator 1. I cannot download this specific app (Zirma) from the marketplace, although I get the error on lots of other ones. Thanks much for any help! See screenshot. Thanks!! Jon
''Jon [[#question-1048020|said]]'' <blockquote> Hello, I am wondering how to deal with this error (manifest_url_error). I have a mac and also am running firefox os simulator 1. I cannot download this specific app (Zirma) from the marketplace, although I get the error on lots of other ones. Thanks much for any help! See screenshot. Thanks!! Jon </blockquote>

Modified by Jon Gregory

Ralph Daub
  • Locale Leader
158 solutions 1182 answers

Helpful Reply

Hi Jon,

I was able to install and run Zirma on both my Flame device, running v2.1, and on WebIDE's simulator, running v2.0 and v2.2.

Please be sure to try the latest version of the simulator:

Additionally, please keep in mind that the simulator is only a run-time environment. There are some features or applications that may not run as expected in the Simulator.

- Ralph

Hi Jon, I was able to install and run Zirma on both my Flame device, running v2.1, and on WebIDE's simulator, running v2.0 and v2.2. Please be sure to try the latest version of the simulator: * [https://developer.mozilla.org/en-US/docs/Tools/Firefox_OS_Simulator] Additionally, please keep in mind that the simulator is only a run-time environment. There are some features or applications that may not run as expected in the Simulator. - Ralph

Question owner

Thanks for the reply. I have downloaded the simulator, (2.0) and its in my add ons, but how do I run it?

Thanks for the reply. I have downloaded the simulator, (2.0) and its in my add ons, but how do I run it?
Ralph Daub
  • Locale Leader
158 solutions 1182 answers

Chosen Solution

Hi Jon Gregory,

Go into Tools > Web Developer > WebIDE and then select the "runtime environment" to download or run a specific version of Firefox OS simulator.

I hope this helps. Please let us know if you have any other questions about your Firefox OS device.

Thanks,

- Ralph

Hi Jon Gregory, Go into '''Tools''' > '''Web Developer''' > '''WebIDE''' and then select the "runtime environment" to download or run a specific version of Firefox OS simulator. I hope this helps. Please let us know if you have any other questions about your Firefox OS device. Thanks, - Ralph